local mymodule = {}

function mymodule.setup(path)
  vim.g.vimwiki_list = {
    {
      path = path,
      syntax = "markdown",
      ext = ".md",
      path_html = "~/vimwiki_html",
      custom_wiki2html = "vimwiki_markdown",
      diary_frequency = "monthly",
    }
  }

  -- disable global markdown hijacking
  vim.g.vimwiki_global_ext = 0
end

return mymodule
